Bug 53098 - Update port: audio/speex to 1.0.1
Summary: Update port: audio/speex to 1.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Weisgerber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-09 15:20 UTC by tkato
Modified: 2003-06-11 18:52 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.69 KB, patch)
2003-06-09 15:20 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2003-06-09 15:20:14 UTC
- Update to version 1.0.1

No response from maintainer.
Comment 1 Christian Weisgerber 2003-06-10 17:04:54 UTC
In article <20030609230946.180402e1.tkato@prontomail.com> you write:

> >Number:         53098
> >Category:       ports
> >Synopsis:       Update port: audio/speex to 1.0.1

> +	@${REINPLACE_CMD} -e \
> +		's|AFMT_S16_NE|AFMT_S16_LE|g' ${WRKSRC}/src/speexdec.c

Please explain.
I very much doubt that this change is correct.  I looks like a nop
on little-endian platforms and breakage on big-endian ones.

-- 
Christian "naddy" Weisgerber                          naddy@mips.inka.de
Comment 2 Christian Weisgerber freebsd_committer 2003-06-10 17:10:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->naddy

I'll handle this.
Comment 3 tkato 2003-06-10 23:49:35 UTC
On Tue, 10 Jun 2003 18:04:54 +0200 (CEST)
Christian Weisgerber <naddy@mips.inka.de> wrote:

> In article <20030609230946.180402e1.tkato@prontomail.com> you write:
> 
> > >Number:         53098
> > >Category:       ports
> > >Synopsis:       Update port: audio/speex to 1.0.1
> 
> > +	@${REINPLACE_CMD} -e \
> > +		's|AFMT_S16_NE|AFMT_S16_LE|g' ${WRKSRC}/src/speexdec.c
> 
> Please explain.
> I very much doubt that this change is correct.  I looks like a nop
> on little-endian platforms and breakage on big-endian ones.

I see. then, How about this patch?


diff -urN /usr/ports/audio/speex/Makefile audio/speex/Makefile
--- /usr/ports/audio/speex/Makefile	Sat Apr 12 22:36:21 2003
+++ audio/speex/Makefile	Wed Jun 11 02:05:40 2003
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	speex
-PORTVERSION=	1.0
+PORTVERSION=	1.0.1
 PORTEPOCH=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://www.speex.org/download/
@@ -18,6 +18,7 @@
 
 LIB_DEPENDS=	ogg.4:${PORTSDIR}/audio/libogg
 
+USE_GETOPT_LONG=	yes
 USE_REINPLACE=	yes
 USE_LIBTOOL=	yes
 LIBTOOLFLAGS=	--disable-ltlibs --release-ignore
@@ -30,16 +31,11 @@
 CPPFLAGS=	-I${LOCALBASE}/include
 LDFLAGS=	-L${LOCALBASE}/lib
 
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} < 500041
-LIB_DEPENDS+=	gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
-LDFLAGS+=	-lgnugetopt
-.endif
-
 post-patch:
 	@${FIND} ${WRKSRC} -name "Makefile.in" | ${XARGS} ${REINPLACE_CMD} -e \
 		's|doc win32|win32|g ; \
 		 s|^mandir =.*$$|mandir = @mandir@|g' 
+	@${REINPLACE_CMD} -e 's| in -lgnugetopt||g ; \
+		 s|LIBS="-lgnugetopt|LIBS="|g' ${WRKSRC}/configure
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -urN /usr/ports/audio/speex/distinfo audio/speex/distinfo
--- /usr/ports/audio/speex/distinfo	Sat Apr 12 22:36:21 2003
+++ audio/speex/distinfo	Thu Jun  5 22:08:37 2003
@@ -1 +1 @@
-MD5 (speex-1.0.tar.gz) = d4ea30440a57ce5a57e915c46a5b7163
+MD5 (speex-1.0.1.tar.gz) = 20515626d2c755ca9216701b60c97120
diff -urN /usr/ports/audio/speex/files/patch-src::speexdec.c audio/speex/files/patch-src::speexdec.c
--- /usr/ports/audio/speex/files/patch-src::speexdec.c	Thu Jan  1 09:00:00 1970
+++ audio/speex/files/patch-src::speexdec.c	Wed Jun 11 02:33:03 2003
@@ -0,0 +1,17 @@
+--- src/speexdec.c.orig	Sun Jun  1 14:58:51 2003
++++ src/speexdec.c	Wed Jun 11 02:07:49 2003
+@@ -72,6 +72,14 @@
+                            ((buf[base+1]<<8)&0xff00)| \
+   	           	    (buf[base]&0xff))
+ 
++#if !defined(AFMT_S16_NE)
++#if defined(BYTE_ORDER) && (BYTE_ORDER == BIG_ENDIAN)
++#define AFMT_S16_NE AFMT_S16_BE
++#else
++#define AFMT_S16_NE AFMT_S16_LE
++#endif
++#endif
++
+ static void print_comments(char *comments, int length)
+ {
+    char *c=comments;
diff -urN /usr/ports/audio/speex/pkg-plist audio/speex/pkg-plist
--- /usr/ports/audio/speex/pkg-plist	Sat Apr 12 22:36:21 2003
+++ audio/speex/pkg-plist	Thu Jun  5 21:00:56 2003
@@ -8,4 +8,4 @@
 include/speex_stereo.h
 lib/libspeex.a
 lib/libspeex.so
-lib/libspeex.so.1
+lib/libspeex.so.2
Comment 4 Christian Weisgerber freebsd_committer 2003-06-11 18:51:53 UTC
State Changed
From-To: open->closed

Committed with an additional LP64 fix, thanks.